Jump to content


Photo

BiG World Setup (an attempt to update the program)


  • This topic is locked This topic is locked
5286 replies to this topic

#5181 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 21 April 2018 - 07:47 AM

Thanks jastey for confirming. Yes I saw that changelog entry but I thought the BGT hotfix was so that Gavin would disappear at the end of BG1, not because of some crash? There is no misunderstanding there?

 

And Roxanne, relax because there is no mixup. Updated BWS still lists the hotfix as well.

Updated BWS says that the BGT selection is outdated, which you just have proven with an example.


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#5182 jastey

jastey
  • Administrator
  • 3117 posts

Posted 21 April 2018 - 08:01 AM

Thanks jastey for confirming. Yes I saw that changelog entry but I thought the BGT hotfix was so that Gavin would disappear at the end of BG1, not because of some crash? There is no misunderstanding there?
 
And Roxanne, relax because there is no mixup. Updated BWS still lists the hotfix as well.
That fix is also included into the current mod package.

#5183 -ghost-

-ghost-
  • Guest

Posted 21 April 2018 - 08:44 AM

Thanks jastey that puts my mind at ease.

#5184 jastey

jastey
  • Administrator
  • 3117 posts

Posted 21 April 2018 - 10:20 AM

Sorry for not writing the changelog more clearly. Sometimes it doesn't occur to me that listing the fixed bugs might not be as clear as a simple statement à la "hotfix patch integrated".

#5185 Lithesis

Lithesis
  • Member
  • 61 posts

Posted 22 April 2018 - 08:25 AM

Hey, I've go got an error installing SOS (https://github.com/weigo87/SoS-EE/) on EET.

 

sos1.JPG

 

It tries to load sos_links.tbl which doesn't exist.

 

sos2.JPG

 

I think on line 526 in the .tp should be rot_links.tbl

 

sos3.JPG

 

Lemme know if debug file is needed.


Edited by Lithesis, 22 April 2018 - 08:31 AM.


#5186 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 22 April 2018 - 08:43 AM

Hey, I've go got an error installing SOS (https://github.com/weigo87/SoS-EE/) on EET.

 

attachicon.gifsos1.JPG

 

It tries to load sos_links.tbl which doesn't exist.

 

attachicon.gifsos2.JPG

 

I think on line 526 in the .tp should be rot_links.tbl

 

attachicon.gifsos3.JPG

 

Lemme know if debug file is needed.

There is an ongoing discussion about this (and some other) SoS issues here

http://www.shsforums...er-souber-v114/

It seems this bug was introduced with the latest update of the mod. Since the new mod version is under test and actively maintained at the moment, it is best to see if they post a solution there.

Not something to be solved by BWS.


Edited by Roxanne, 22 April 2018 - 08:43 AM.

The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#5187 Lithesis

Lithesis
  • Member
  • 61 posts

Posted 22 April 2018 - 08:51 AM

I looked there before posting. How did I not see that thread...



#5188 -ghost-

-ghost-
  • Guest

Posted 24 April 2018 - 04:36 AM

The BWS installs Wizard slayer rebalancing in two steps. First the "wizard slayer kit revisions" before might and guile and then the rest after ding0s tweak pack a little later. Why is this? The BWP manual does not do this.

 

Problem is that I installed all components of Wizard slayer rebalancing without noticing this already at the first step. What effects will this have?

 

Here is my current weidu log if it helps anyone answer

Spoiler



#5189 Greenhorn

Greenhorn
  • Member
  • 717 posts

Posted 24 April 2018 - 06:42 AM

The BWS installs Wizard slayer rebalancing in two steps. First the "wizard slayer kit revisions" before might and guile and then the rest after ding0s tweak pack a little later. Why is this? The BWP manual does not do this.

 

Problem is that I installed all components of Wizard slayer rebalancing without noticing this already at the first step. What effects will this have?

 

Here is my current weidu log if it helps anyone answer

Spoiler

This is really a wild guess from my side but maybe it has something with this:

 

Compatibility notes
 

  • The mod is fully compatible with BG:EE, BGII:EE and IWD:EE. It also works on normal Baldur's Gate II games as well as either of the two Baldur's Gate conversion projects: (Easy)Tutu and Baldur's Gate Trilogy (BGT).
  •  

    If you intend to use this mod alongside Refinements, a specific install order must be followed. The kit revision component of this mod should be installed before Refinements while its High Level Ability revision component should go after Refinements.

     

  • In case you are using TobEX, make sure that the Magic Resistance Mod Fix option in TobExCore.ini is set to 0. Otherwise, you may experience some problems when using Shatter Magic and Reflect Magic. Specifically, the magic resistance of the Wizard Slayer will not be nullified while these abilities are in effect.
  • Since this mod is largely inspired by similar components of Gray Acumen's Kit Improvements, Konalan's Tweak Pack, Kitanya's Wizard Slayer Fixes and Ashes of Ambers it is not intended to be used together with them.

Not really sure though, as I never used it myself... 



#5190 -ghost-

-ghost-
  • Guest

Posted 24 April 2018 - 07:16 AM

Thanks for your insights Greenhorn. I looked at that section earlier as well but at first it didn't strike me as related because refinements are not very close to either of these installation points - but now that you mentioned it again I looked up which mods are between and yes it seems you might be correct. Refinements do get installed in between and I think maybe the rest of the gaps are just related to refinements by themselves. It just didn't seem so at first.

 

Thankfully I don't install refinements so should be good! Phew.



#5191 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 24 April 2018 - 07:22 AM

Thanks for your insights Greenhorn. I looked at that section earlier as well but at first it didn't strike me as related because refinements are not very close to either of these installation points - but now that you mentioned it again I looked up which mods are between and yes it seems you might be correct. Refinements do get installed in between and I think maybe the rest of the gaps are just related to refinements by themselves. It just didn't seem so at first.

 

Thankfully I don't install refinements so should be good! Phew.

The install sequence takes into account all possible components of all mods that may change certain game files and the order in which they do it. The sequence may result from the interaction of components in different mods. Your specific selection may or may not need this order, it is a general sequence to fit whatever options you have chosen. If you need to know specific details there is no other way then to read all the mod's readme's, or just trust that the involved modders provided the correct information for BWS to use.


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#5192 enderandrew

enderandrew
  • Member
  • 166 posts

Posted 24 April 2018 - 10:53 AM

Main changes for BWS are implemented, if something suddenly doesn't work please post feedback.

I'm still getting this error:
 
 
ERROR: Failure("EET/TEMP/PATCH/ARE/BG2200.ARE: read out of bounds")
PLEASE email the file SETUP-EET.DEBUG to K4thos (swit)
Automatically Skipping [EET core - resource importation] because of error.
Using Language [English]
[.\lang\en_us\dialog.tlk] created, 320392 string entries


NOT INSTALLED DUE TO ERRORS EET core - resource importation


D:\BWS\Baldur's Gate II Enhanced Edition>


ERROR: illegal 2-byte read from offset 13116190 of 13768-byte file EET/TEMP/PATCH/ARE/BG2200.ARE
ERROR: [EET/TEMP/PATCH/ARE/BG2200.ARE] -> [EET/TEMP/PATCH/ARE] Patching Failed (COPY) (Failure("EET/TEMP/PATCH/ARE/BG2200.ARE: read out of bounds"))
ERROR: Failure("EET/TEMP/PATCH/ARE/BG2200.ARE: read out of bounds")
Enhanced Edition Trilogy (Enhanced Edition Trilogy) was not installed due to errors.


Without this component the installation cannot be continued.

Nihilism makes me smile.

#5193 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 5143 posts

Posted 24 April 2018 - 11:13 AM

...

You might want to move onto the EE Game blah blah... wrongly named tool ...


Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#5194 Blackblade

Blackblade
  • Member
  • 3 posts

Posted 24 April 2018 - 11:37 AM

Main changes for BWS are implemented, if something suddenly doesn't work please post feedback.

I'm still getting this error:
 
 
ERROR: Failure("EET/TEMP/PATCH/ARE/BG2200.ARE: read out of bounds")
PLEASE email the file SETUP-EET.DEBUG to K4thos (swit)
Automatically Skipping [EET core - resource importation] because of error.
Using Language [English]
[.\lang\en_us\dialog.tlk] created, 320392 string entries


NOT INSTALLED DUE TO ERRORS EET core - resource importation


D:\BWS\Baldur's Gate II Enhanced Edition>


ERROR: illegal 2-byte read from offset 13116190 of 13768-byte file EET/TEMP/PATCH/ARE/BG2200.ARE
ERROR: [EET/TEMP/PATCH/ARE/BG2200.ARE] -> [EET/TEMP/PATCH/ARE] Patching Failed (COPY) (Failure("EET/TEMP/PATCH/ARE/BG2200.ARE: read out of bounds"))
ERROR: Failure("EET/TEMP/PATCH/ARE/BG2200.ARE: read out of bounds")
Enhanced Edition Trilogy (Enhanced Edition Trilogy) was not installed due to errors.


Without this component the installation cannot be continued.

Somebody here had the same problem

https://forums.beamd...#Comment_973783



#5195 enderandrew

enderandrew
  • Member
  • 166 posts

Posted 24 April 2018 - 01:12 PM

Somebody here had the same problem
https://forums.beamd...#Comment_973783


Thanks for the link, but it looks like they were installing directly in their Steam folder. I'm installing in D:\BWS\ so there should be nothing preventing it from writing to that folder. But I'll check permissions and everything again when I get home.
 You might want to move onto the EE Game blah blah... wrongly named tool ...


I'll give that a try since BWS is not working for me currently.

Edited by enderandrew, 24 April 2018 - 01:15 PM.

Nihilism makes me smile.

#5196 -ghost-

-ghost-
  • Guest

Posted 27 April 2018 - 05:20 AM

In the bw fixpack (github version) there is a folder called "_IDS_ref" with a bunch of ids files (kit.ids spell.ids etc).

 

Am I supposed to use these at some point? Does the BWS use these? The BWP manual does not mention them. I faintly remember seeing this mentioned somewhere on the forum some time back when I was lurking and that they were standard ids files to use when mods had broken them or something but now I can't find any info about it.



#5197 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 27 April 2018 - 11:48 AM

In the bw fixpack (github version) there is a folder called "_IDS_ref" with a bunch of ids files (kit.ids spell.ids etc).

 

Am I supposed to use these at some point? Does the BWS use these? The BWP manual does not mention them. I faintly remember seeing this mentioned somewhere on the forum some time back when I was lurking and that they were standard ids files to use when mods had broken them or something but now I can't find any info about it.

Quote from BWP manual

 

the BiG World Installpack not only installs mod after mod, but also restores continuously missing entries
in several IDS files. Without this feature you would get “parse errors” with some mods and the installation
of many components would fail. for this reason I strongly advise against installing manually!

The BWS copies the IDS files contained in fixpack to override during the preparation phase before any installation is even started.

 

This means that both do basically the same, provide you with correct IDS versions for the following installation.


Edited by Roxanne, 27 April 2018 - 11:49 AM.

The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#5198 -ghost-

-ghost-
  • Guest

Posted 27 April 2018 - 12:02 PM

Roxanne: Yes I saw that but I didn't really connect to put them in the override before starting. Hmm.

 

Since I didn't get any parse errors or any other error during my installation - am I safe? Or did I need them for something else?



#5199 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 27 April 2018 - 12:36 PM

Roxanne: Yes I saw that but I didn't really connect to put them in the override before starting. Hmm.

 

Since I didn't get any parse errors or any other error during my installation - am I safe? Or did I need them for something else?

Only you know. It depends on the mods you install. And even then it would be safe. Worst that may happen normally is that some remote AI action in some enemy scripts do not trigger, If you notice that at all in the play...


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#5200 -ghost-

-ghost-
  • Guest

Posted 27 April 2018 - 01:57 PM

Alrighty then. It's just that I didn't know how important those files were. Thanks.